OGRE: Ogre::DefaultSceneManagerFactory Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::DefaultSceneManagerFactory Class Reference

Factory for default scene manager. More...

`#include <OgreSceneManagerEnumerator.h>`

Inheritance diagram for Ogre::DefaultSceneManagerFactory:

[legend]
List of all members.

## Public Member Functions

| DefaultSceneManagerFactory ()
| ~DefaultSceneManagerFactory ()
SceneManager * | createInstance (const String &instanceName)
| Create a new instance of a SceneManager.
void | destroyInstance (SceneManager *instance)
| Destroy an instance of a SceneManager.
virtual const SceneManagerMetaData & | getMetaData (void) const
| Get information about the SceneManager type created by this factory.

## Static Public Attributes

static const String | FACTORY_TYPE_NAME
| Factory type name.

## Protected Member Functions

void | initMetaData (void) const
| Internal method to initialise the metadata, must be implemented.

## Protected Attributes

SceneManagerMetaData | mMetaData
bool | mMetaDataInit

## Detailed Description

Factory for default scene manager.

Definition at line 41 of file OgreSceneManagerEnumerator.h.

## Constructor & Destructor Documentation

Ogre::DefaultSceneManagerFactory::DefaultSceneManagerFactory | ( |  | ) |

| Definition at line 46 of file OgreSceneManagerEnumerator.h.

Ogre::DefaultSceneManagerFactory::~DefaultSceneManagerFactory | ( |  | ) |

| Definition at line 47 of file OgreSceneManagerEnumerator.h.

## Member Function Documentation

SceneManager* Ogre::DefaultSceneManagerFactory::createInstance | ( | const String & | instanceName | ) | `[virtual]`

Create a new instance of a SceneManager.

Remarks:
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implements Ogre::SceneManagerFactory.

void Ogre::DefaultSceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) | `[virtual]`

| Destroy an instance of a SceneManager. Implements Ogre::SceneManagerFactory.

virtual const SceneManagerMetaData& Ogre::SceneManagerFactory::getMetaData | ( | void |  | ) | const`[virtual, inherited]`

| Get information about the SceneManager type created by this factory. Definition at line 2846 of file OgreSceneManager.h.

void Ogre::DefaultSceneManagerFactory::initMetaData | ( | void |  | ) | const`[protected, virtual]`

| Internal method to initialise the metadata, must be implemented. Implements Ogre::SceneManagerFactory.

## Member Data Documentation

const String Ogre::DefaultSceneManagerFactory::FACTORY_TYPE_NAME`[static]`

| Factory type name. Definition at line 49 of file OgreSceneManagerEnumerator.h.

SceneManagerMetaData Ogre::SceneManagerFactory::mMetaData`[mutable, protected, inherited]`

| Definition at line 2838 of file OgreSceneManager.h.

bool Ogre::SceneManagerFactory::mMetaDataInit`[mutable, protected, inherited]`

| Definition at line 2839 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManagerEnumerator.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:35 2008